<?php

class Home {

	var $sTemplatePath;
	var $sMainTemplate;
	var $sFormTemplate;
	var $sHeaderTemplate;
	var $sLeftTemplate;
	var $sFooterTemplate;
	var $sMode;
	var $sTitle;
	var $obDBCon;
	var $pagesize;
	var $t;
	var $con;

	function Home($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
		global $PHP_SELF, $dbUser, $dbPassword, $dataBase;
		$this->sMode = '';
		$this->con = new Database();
		$this->con->db_user = $dbUser;
		$this->con->db_password = $dbPassword;
		$this->con->db_name = $dataBase;
		$this->pagesize = 8;

		$this->sTemplatePath = $tplPath;
		$this->sMainTemplate = $maintpl;
		$this->sHeaderTemplate = $headtpl;
		$this->sLeftTemplate = $lefttpl;
		$this->sFooterTemplate = $footertpl;
		$this->sFormTemplate = $innerCenter;
	}

	function create() {
		$this->showPage();
	}

	function InitializeTemplates() {
		//$loadStart = array_sum(explode(" ", microtime()));

		$this->t = new Template($this->sTemplatePath);

		$this->t->set_file('HTMLPAGE', $this->sMainTemplate);
		$this->t->set_file('FORMPAGE', $this->sFormTemplate);
		$this->t->set_file('HEADERPAGE', $this->sHeaderTemplate);
		$this->t->set_file('LEFTPAGE', $this->sLeftTemplate);
		$this->t->set_file('FOOTERPAGE', $this->sFooterTemplate);

		$this->t->set_block('HTMLPAGE', 'includeJavascript', 'INCLUDEJAVASCRIPT');
		$this->t->set_block('HTMLPAGE', 'includeCSS', 'INCLUDECSS');

		global $includeJS, $jsForPage, $cssForPage, $siteUrl;
		$this->t->set_var('jsPath', 'var jsPath = "' . $siteUrl . 'js/";');
		if (isset($includeJS)) {
			for ($i = 0; $i < count($includeJS); $i++) {
				$scriptFile = $siteUrl . 'js/' . $includeJS[$i];
				$this->t->set_var('scriptFile', $scriptFile);
				$this->t->parse('INCLUDEJAVASCRIPT', 'includeJavascript', true);
			}
		}
		if (isset($jsForPage)) {
			for ($i = 0; $i < count($jsForPage); $i++) {
				foreach ($jsForPage[$i]['js'] as $key => $value) {
					$scriptFile = $jsForPage[$i]['path'] . $value;
					$this->t->set_var('scriptFile', $scriptFile);
					$this->t->parse('INCLUDEJAVASCRIPT', 'includeJavascript', true);
				}
			}
		}

		if (isset($cssForPage)) {
			for ($i = 0; $i < count($cssForPage); $i++) {
				$cssFile = $siteUrl . 'css/' . $cssForPage[$i];
				$this->t->set_var('cssFile', $cssFile);
				$this->t->parse('INCLUDECSS', 'includeCSS', true);
			}
		}
		$this->parseHeader();
		$this->parseLeft();
		$this->parseFooter();

		//$loadEnd = array_sum(explode(" ", microtime()));
		//$this->t->set_var('time', '<div class="msgBox">Page rendered in '.number_format($loadEnd - $loadStart, 4).' seconds.</div>');
		$this->t->set_var('time', '<div class="msgBox">Page rendered in <label id="time"></label> second(s).</div>');
	}

	function parseHeader() {
		global $siteUrl;
		//$this->t->set_block('HEADERPAGE', 'loginuserblock' ,'LOGINUSERBLOCK');
		if (isset($_SESSION['session_userName']) || $_SESSION['session_userId'] != '') {
			$this->t->set_var('userName', getUserType($_SESSION['session_usertype']));
			$this->t->set_var('date', zoneDate("l, dS \of F Y h:i:s A", 5.5, false));
			$this->t->set_var('location', getBranchName($_SESSION['session_userId']));
			//$this->t->parse("LOGINUSERBLOCK","loginuserblock");
		} else {
			$this->t->set_var('userName', '');
			$this->t->set_var('date', '');
			$this->t->set_var('location', '');
		}
		$this->t->set_var('sitePath', $siteUrl);
		$this->t->parse('TPL_HEADER', "HEADERPAGE");
	}

	function parseFooter() {
		$this->t->parse('TPL_FOOTER', "FOOTERPAGE");
	}

	function parseLeft() {
		$this->t->parse('TPL_LEFT_SECTION', "LEFTPAGE");
	}

	function showPage() {
		$this->InitializeTemplates();
		$this->parseBody();
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function showInPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

}

?>