<?php

/*
 * ******************************************************************************
 * File name: class.changeamount.php
 * Created on: 07/12/2011
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This file contains the class for changeamount module.

  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  07/12/2011	Anju Kansal	Started building the file.

 * ******************************************************************************
 *  Written By: Anju Kansal.
 * ******************************************************************************
 */

class changeamount {

	var $instName = '';
	var $pPlan = '';
	var $payAmt = '';
	var $discount = '';
	var $amtPayable = '';
	var $amtPaidOnDate = '';
	var $amtBalance = '';
	var $clId = '';
	var $currId = '';
	var $con;
	var $home1;
	var $t;
	var $action;
	var $isDuplicateClient = 0;
	var $isDuplicateRno;
	var $duplicateClId;
	var $pageName = 'changeamount.php';

	/**
	 * This function will act as constructor.
	 * @param	string tplPath template path.
	 * @param	string maintpl main tpl file name.
	 * @param	string outerCenter outer center tpl file name.
	 * @param	string innerCenter inner tpl file name.
	 * @param	string headtpl header tpl file name.
	 * @param	string lefttpl left tpl file name.
	 * @param	string righttpl right tpl file name.
	 * @param	string footertpl footer tpl file name.
	 * @author	Anju Kansal
	 */
	function __construct($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
		$this->home1 = new Home($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->con = $this->home1->con;
		$this->action = (isset($_GET['action']) ? $_GET['action'] : '');
		$this->clId = ((isset($_GET['clId']) ? $_GET['clId'] : '0'));
		$this->clId = ((isset($_POST['clId']) ? $_POST['clId'] : $this->clId));
		foreach ($_POST as $key => $value) {
			if (isset($this->{$key})) {
				$this->{$key} = $value;
			}
		}
	}

	/**
	 * This function will main function used to asign template
	 * variable and call other functions.
	 * @author	Anju Kansal
	 */
	function create() {
		$this->t = &$this->home1->t;
		$this->parseBody();
		$this->home1->showInPage();
	}

	function assignPostValues() {
		foreach ($_POST as $key => $value) {
			if (isset($this->{$key})) {
				$this->t->set_var($key, $value);
			}
		}
	}

	/**
	 * This function will parse the body after creating it.
	 * @author	Anju Kansal
	 */
	function parseBody() {
		global $_CONF, $siteUrl, $siteUrlAjax;
		if (isset($_POST['subm']) && $_POST['subm'] == '1') {
			$this->addEditAmount();
		}
		if (isset($_GET['clId']) && $_GET['clId'] != '') {
			$url = array();
			foreach ($_GET as $k => $v) {
				$url[] = $_GET['' . "{$k}" . ''];
			}
			$this->getPaymentDetail($url);
		}
		if (isset($_SESSION['msg'])) {
			$this->t->set_var('msg', $_SESSION['msg']);
			unset($_SESSION['msg']);
		}
		if (trim($_REQUEST['clId']) > 0) {
			$sql = "SELECT * FROM " . TABLECLIENT . " TC LEFT OUTER JOIN " . TABLEPAYDETAILS . " PD ON (TC.clId=PD.pdClId) WHERE pdClId='" . trim($_REQUEST['clId']) . "'";
			$result = $this->con->execQry($sql);
			$this->t->set_var('checkdetails', 'style="display:none;"');
			if ($this->con->rowCount($result)) {
				$rowObj = $this->con->fetchObj($result);
				$pdPayModeId = $rowObj->pdPayModeId;
				$clFullReceiptNo = $rowObj->clFullReceiptNo;
				$clServTypeId = $rowObj->clServTypeId;
				$clCtTypeId = $rowObj->clCtTypeId;
				$clServCountryId = $rowObj->clServCountryId;
				$clCountryId = $rowObj->clCountryId;
				$fName = $rowObj->clFirstName;
				$mName = $rowObj->clMiddleName;
				$lName = $rowObj->clLastName;
				$address = $rowObj->clAddr;
				$city = $rowObj->clCity;
				$clState = $rowObj->clState;
				$zip = $rowObj->clZipCode;
				$resi = $rowObj->clPhRes;
				$office = $rowObj->clPhWork;
				$mob = $rowObj->clPhMob;
				$email = $rowObj->clEmail;
				$pdAdvisorId = $rowObj->pdAdvisorId;
				$clReceiptIssuingBranchId = $rowObj->clReceiptIssuingBranchId;
				$pdAdvisorId = $rowObj->pdAdvisorId;

				$this->t->set_var('pMode', paymentModeList($pdPayModeId));
				if ($pdPayModeId == 1 || $pdPayModeId == 2) {
					$this->t->set_var('checkdetails', '');
				}
				$this->t->set_var('    +
				', $rowObj->pdIssuerRemark);
				$this->t->set_var('pdChqDDbank', $rowObj->pdChqDDbank);
				$this->t->set_var('pdChqDDdate', $rowObj->pdChqDDdate);
				$this->t->set_var('pdChqDDno', $rowObj->pdChqDDno);
			}
		}
		$clReceiptIssuingBranchId = $clReceiptIssuingBranchId != '' ? $clReceiptIssuingBranchId : $_SESSION['session_userId'];
		$this->t->set_var('ajaxSiteUrl', $siteUrlAjax);
		$this->t->set_var('branchId', $clReceiptIssuingBranchId);
		$this->t->set_var('menu', getMenuLinks($_SESSION['session_usertype']));
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function addEditAmount() {
		global $siteUrl;
		$query = "";
		$clId = $_POST['clId'];
		$amtPaid = $_POST['amtPaid'];
		$lastPaid = $_POST['lastPaid'];
		$discount = $_POST['discount'];
		$lastDis = $_POST['lastDiscount'];
		$balance = $_POST['balAmt'] - ($amtPaid - $lastPaid) - ($discount - $lastDis);
		// print '<pre>';
		//print_r($_REQUEST);
		$query .= "UPDATE tbl_paydetails";
		$query .= " SET pdPaid = '{$amtPaid}', pdBalance = '{$balance}', pdDiscount = '{$discount}'";
		$query.=", pdPayModeId = '{$_POST['pMode']}', pdChqDDno = '{$_POST['chqDD']}', pdChqDDdate = '{$_POST['chqDDdate']}', pdChqDDbank = '{$_POST['bank']}' ,pdIssuerRemark = '{$_POST['remarks']}'";
		$query .= " WHERE pdClId = '{$clId}'";
		//echo $query;
		$result = $this->con->execQry($query);

		if ($result) {
			reDirect('index.php');
			exit;
		}
		reDirect($this->pageName);
	}

	function getPaymentDetail($id) {
		global $siteUrl;
		$condition = '';
		$status = '';
		$OrgNo = '';
		$rNo = '';
		$what = " pdClId ";
		$sql = "SELECT pdId,pdClId,pdPid,pdAmt,pdCurrId FROM tbl_paydetails TP WHERE {$what} = '{$id[0]}'";
		$result = $this->con->execQry($sql);
		
		
		if ($this->con->rowCount($result)) {
			$i = 1;
			while ($rowObj = $this->con->fetchObj($result)) {
				$clId = $rowObj->pdClId;
				$pdId = $rowObj->pdId;
				$pdPid = $rowObj->pdPid;
				$pdAmt = $rowObj->pdAmt;
				$pdCurrId = $rowObj->pdCurrId;
				$i++;
			}
			$this->t->set_var('clId', $clId);
			$this->t->set_var('pdId', $pdId);
			$this->t->set_var('pdPid', $pdPid);
			$this->t->set_var('pdAmt', $pdAmt);
			$this->t->set_var('currName', getCurrName($pdCurrId));

			$this->getPaymentPlan($clId, $pdPid);
		}
	}

	function getPaymentPlan($clId = '', $selectedPid = '') {
		$what = " clId ";
		$sql = "SELECT clId,clFirstName, clMiddleName, clLastName, clServTypeId,clServCountryId,clReceiptIssuingBranchId,clRetainerAggNo FROM tbl_client TC WHERE {$what} = '{$clId}'";
		$result = $this->con->execQry($sql);
		if ($this->con->rowCount($result)) {
			$i = 1;
			while ($rowObj = $this->con->fetchObj($result)) {
				$clId = $rowObj->clId;
				$clServTypeId = $rowObj->clServTypeId;
				$clServCountryId = $rowObj->clServCountryId;
				$clRetainerAggNo = $rowObj->clRetainerAggNo;
				$clReceiptIssuingBranchId = $rowObj->clReceiptIssuingBranchId;
				$name = $rowObj->clFirstName . ($mName = (!empty($rowObj->clMiddleName) ? $rowObj->clMiddleName . ' ' : '')) . ' ' . $rowObj->clLastName;
				$i++;
			}
		}
		$sql = "SELECT SUM(pdPaid) AS totalPaid, MIN(pdBalance) AS balance, SUM(pdDiscount) AS totalDis FROM tbl_paydetails 
		WHERE pdClId IN (SELECT clId FROM tbl_client WHERE clRetainerAggNo = {$clRetainerAggNo} and clServTypeId= {$clServTypeId}  and clServCountryId= {$clServCountryId} and clReceiptIssuingBranchId = {$clReceiptIssuingBranchId})";
		$res = $this->con->execQry($sql);
		if ($this->con->rowCount($res)) {
			$row = $this->con->fetchObj($res);
			$totPaid = $row->totalPaid;
			$clBal = $row->balance;
			$totDis = $row->totalDis;
		}
		$sql = "SELECT DATE_FORMAT(clCreateDate,'%b %d %Y') AS date, MAX(clId) AS clId, MAX(clFullReceiptNo) AS recptNo FROM tbl_client 
		WHERE clRetainerAggNo = {$clRetainerAggNo} and clServTypeId= {$clServTypeId} and clReceiptIssuingBranchId = {$clReceiptIssuingBranchId} and clServCountryId= {$clServCountryId}  ";
		$res1 = $this->con->execQry($sql);
		if ($this->con->rowCount($res1)) {
			$row1 = $this->con->fetchObj($res1);
			$lasClId = $row1->clId;
			$recptNo = $row1->recptNo;
			$recptDate = $row1->date;
		}

		$sql = "SELECT pdPaid, pdDiscount,pdIssuerRemark FROM tbl_paydetails WHERE pdClId = {$lasClId}";
		$result = $this->con->execQry($sql);
		if ($this->con->rowCount($result)) {
			$row2 = $this->con->fetchObj($result);
			$lasAmtPaid = $row2->pdPaid;
			$lasDiscount = $row2->pdDiscount;
			$remarks = $row2->pdIssuerRemark;
		}


		$this->t->set_var('pPlan', paymentPlanByTypeCoun($clServTypeId, $clServCountryId, $selectedPid));
		$this->t->set_var('clRetainerAggNo', $clRetainerAggNo);
		$this->t->set_var('clName', $name);
		$this->t->set_var('totPaid', $totPaid);
		$this->t->set_var('clBal', $clBal);
		$this->t->set_var('totDis', $totDis);
		$this->t->set_var('recptNo', $recptNo);
		$this->t->set_var('recptDate', $recptDate);
		$this->t->set_var('lastAmtPaid', $lasAmtPaid);
		$this->t->set_var('lastDiscount', $lasDiscount);
		$this->t->set_var('lastClId', $lasClId);
		$this->t->set_var('remarks', $remarks);
	}

}

?>
