<?php

/*
 * ******************************************************************************
 * File name: class.changepaymentplan.php
 * Created on: 01/11/2011
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This file contains the class for changepaymentplan module.

  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  01/11/2011	Anju Kansal	Started building the file.

 * ******************************************************************************
 *  Written By: Anju Kansal.
 * ******************************************************************************
 */

class changepaymentplan {

	var $instName = '';
	var $pPlan = '';
	var $payAmt = '';
	var $discount = '';
	var $amtPayable = '';
	var $amtPaidOnDate = '';
	var $amtBalance = '';
	var $pMode = '';
	var $chqDD = '';
	var $chqDDdate = '';
	var $bank = '';
	var $remarks = '';
	var $advisor = '';
	var $refund = '';
	var $clId = '';
	var $currId = '';
	var $con;
	var $home1;
	var $t;
	var $action;
	var $isDuplicateClient = 0;
	var $isDuplicateRno;
	var $duplicateClId;
	var $pageName = 'changepaymentplan.php';

	/**
	 * This function will act as constructor.
	 * @param	string tplPath template path.
	 * @param	string maintpl main tpl file name.
	 * @param	string outerCenter outer center tpl file name.
	 * @param	string innerCenter inner tpl file name.
	 * @param	string headtpl header tpl file name.
	 * @param	string lefttpl left tpl file name.
	 * @param	string righttpl right tpl file name.
	 * @param	string footertpl footer tpl file name.
	 * @author	Anju Kansal
	 */
	function __construct($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
		$this->home1 = new Home($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->con = $this->home1->con;
		$this->action = (isset($_GET['action']) ? $_GET['action'] : '');
		$this->clId = ((isset($_GET['clId']) ? $_GET['clId'] : '0'));
		$this->clId = ((isset($_POST['clId']) ? $_POST['clId'] : $this->clId));
		foreach ($_POST as $key => $value) {
			if (isset($this->{$key})) {
				$this->{$key} = $value;
			}
		}
	}

	/**
	 * This function will main function used to asign template
	 * variable and call other functions.
	 * @author	Anju Kansal
	 */
	function create() {
		$this->t = &$this->home1->t;
		$this->parseBody();
		$this->home1->showInPage();
	}

	function assignPostValues() {
		foreach ($_POST as $key => $value) {
			if (isset($this->{$key})) {
				$this->t->set_var($key, $value);
			}
		}
	}

	/**
	 * This function will parse the body after creating it.
	 * @author	Anju Kansal
	 */
	function parseBody() {
		global $_CONF, $siteUrl, $siteUrlAjax;
		if (isset($_POST['subm']) && $_POST['subm'] == '1') {
			$this->addEditPlan();
		}
		if (isset($_GET['clId']) && $_GET['clId'] != '') {
			$url = array();
			foreach ($_GET as $k => $v) {
				$url[] = $_GET['' . "{$k}" . ''];
			}
			$this->getPaymentDetail($url);
		}
		if (isset($_SESSION['msg'])) {
			$this->t->set_var('msg', $_SESSION['msg']);
			unset($_SESSION['msg']);
		}
		$this->t->set_var('ajaxSiteUrl', $siteUrlAjax);
		$this->t->set_var('branchId', $_SESSION['session_userId']);
		$this->t->set_var('menu', getMenuLinks($_SESSION['session_usertype']));
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function addEditPlan() {
		global $siteUrl;
		$condition = '';
		$status = '';
		$pdPid = $_POST['pPlan'];
		$pAmount = $_POST['payAmt'];
		$pdDiscount = $_POST['discount'];
		$clServCountryId = $_POST['clServCountryId'];
		$clServTypeId = $_POST['clServTypeId'];
		$BranchId = $_POST['clReceiptIssuingBranchId'];
		$pdAmt = $pAmount;
		$query = "SELECT clId FROM tbl_client WHERE clRetainerAggNo = '" . $_POST['clRetainerAggNo'] . "' 
			and clServTypeId = '".$clServTypeId."' and clServCountryId = '".$clServCountryId."' and clReceiptIssuingBranchId = '".$BranchId."' ORDER BY clId";
		$result = $this->con->execQry($query);
		if ($this->con->rowCount($result)) {
			$i = 1;
			while ($rowObj = $this->con->fetchObj($result)) {
				$sqlQuery = "SELECT * FROM tbl_paydetails WHERE pdClId = '" . $rowObj->clId . "'";
				$res = $this->con->execQry($sqlQuery);
				if ($this->con->rowCount($res)) {
					$j = 1;
					while ($rowObject = $this->con->fetchObj($res)) {
						//$qry = 'insert into tbl_payhistory select * from ';
						/* $qry = "INSERT INTO tbl_payhistory";
						  $qry .= " SET phPdId = '{$rowObject->pdId}', phPdClId = '{$rowObject->pdClId}',phPdInstNameId = '{$rowObject->pdInstNameId}',phPdPid = '{$rowObject->pdPid}',phPdAmt = '{$rowObject->pdAmt}',phPdDiscountOld = '{$rowObject->pdDiscountOld}',phPdDiscount = '{$rowObject->pdDiscount}',phPdTotalPayable = '{$rowObject->pdTotalPayable}',phPdCurrId = '{$rowObject->pdCurrId}',phPdPaidOld = '{$rowObject->pdPaidOld}',phPdPaid = '{$rowObject->pdPaid}',phPdBalance = '{$rowObject->pdBalance}',phPdPayModeId = '{$rowObject->pdPayModeId}',phPdChqDDno = '{$rowObject->pdChqDDno}',phPdChqDDdate = '{$rowObject->pdChqDDdate}',phPdChqDDbank = '{$rowObject->pdChqDDbank}',phPdIssuerRemark = '{$rowObject->pdIssuerRemark}',phPdIssuerId = '{$rowObject->pdIssuerId}',phPdIsRefundable = '{$rowObject->pdIsRefundable}',phPdAdvisorId = '{$rowObject->pdAdvisorId}',phPdDate = '{$rowObject->pdDate}',phPdRefundRemarks = '{$rowObject->pdRefundRemarks}',phPdRefundDate = '{$rowObject->pdRefundDate}',phPdRefundAmt = '{$rowObject->pdRefundAmt}',phPdRefundApprovBy = '{$rowObject->pdRefundApprovBy}',status = '1' ";
						  $r = $this->con->execQry($qry); */
						$pdTotalPayable = $pdAmt - $pdDiscount;
						$pdBalance = $pdTotalPayable - $rowObject->pdPaid;
						$query = "";
						$query .= "UPDATE tbl_paydetails";
						$query .= " SET pdPid = '{$pdPid}', pdAmt = '{$pAmount}', pdTotalPayable = '{$pdTotalPayable}', pdBalance = '{$pdBalance}', pdDiscount = '{$pdDiscount}'";
						$query .= " WHERE pdClId = '{$rowObject->pdClId}'";
						$r = $this->con->execQry($query);
						$j++;
					}
				}
				$pdAmt = $pdBalance;
				$pdDiscount = 0;
				$i++;
			}
		}

		if ($result) {
			reDirect('index.php');
			exit;
		}
		reDirect($this->pageName);
	}

	function getPaymentDetail($id) {
		global $siteUrl;
		$condition = '';
		$status = '';
		$OrgNo = '';
		$rNo = '';
		$what = " pdClId ";
		$sql = "SELECT pdId,pdClId,pdPid,pdAmt,pdCurrId FROM tbl_paydetails TP WHERE {$what} = '{$id[0]}'";
		$result = $this->con->execQry($sql);
		if ($this->con->rowCount($result)) {
			$i = 1;
			while ($rowObj = $this->con->fetchObj($result)) {
				$clId = $rowObj->pdClId;
				$pdId = $rowObj->pdId;
				$pdPid = $rowObj->pdPid;
				$pdAmt = $rowObj->pdAmt;
				$pdCurrId = $rowObj->pdCurrId;
				$i++;
			}
			$this->t->set_var('clId', $clId);
			$this->t->set_var('pdId', $pdId);
			$this->t->set_var('pdPid', $pdPid);
			$this->t->set_var('pdAmt', $pdAmt);
			$this->t->set_var('currName', getCurrName($pdCurrId));

			$this->getPaymentPlan($clId, $pdPid);
		}
	}

	function getPaymentPlan($clId = '', $selectedPid = '') {
		$what = " clId ";
		$sql = "SELECT clId,clFirstName, clMiddleName, clLastName, clServTypeId,clServCountryId,clReceiptIssuingBranchId,clRetainerAggNo FROM tbl_client TC WHERE {$what} = '{$clId}'";
		$result = $this->con->execQry($sql);
		if ($this->con->rowCount($result)) {
			$i = 1;
			while ($rowObj = $this->con->fetchObj($result)) {
				$clId = $rowObj->clId;
				$clServTypeId = $rowObj->clServTypeId;
				$clServCountryId = $rowObj->clServCountryId;
				$clRetainerAggNo = $rowObj->clRetainerAggNo;
				$clReceiptIssuingBranchId = $rowObj->clReceiptIssuingBranchId;
				$name = $rowObj->clFirstName . ($mName = (!empty($rowObj->clMiddleName) ? $rowObj->clMiddleName . ' ' : '')) . ' ' . $rowObj->clLastName;
				$i++;
			}
		}
		$sql = "SELECT SUM(pdPaid) AS totalPaid, MIN(pdBalance) AS balance, SUM(pdDiscount) AS totalDis FROM tbl_paydetails WHERE pdClId IN (SELECT clId FROM tbl_client 
		WHERE clRetainerAggNo = {$clRetainerAggNo}  and clServTypeId = {$clServTypeId}  and clServCountryId = {$clServCountryId} and clReceiptIssuingBranchId={$clReceiptIssuingBranchId} )";
		//$sql = "SELECT SUM(pdPaid) AS totalPaid, MIN(pdBalance) AS balance, SUM(pdDiscount) AS totalDis FROM tbl_paydetails WHERE pdClId IN (SELECT clId FROM tbl_client WHERE clRetainerAggNo = {$clRetainerAggNo})";
		
		$res = $this->con->execQry($sql);
		
		if ($this->con->rowCount($res)) {
			$row = $this->con->fetchObj($res);		
			$totPaid = $row->totalPaid;
			$clBal = $row->balance;
			$totDis = $row->totalDis;
		}
		$this->t->set_var('pPlan', paymentPlanByTypeCoun($clServTypeId, $clServCountryId, $selectedPid,$this->con));
		$this->t->set_var('clRetainerAggNo', $clRetainerAggNo);			
		$this->t->set_var('clServTypeId', $clServTypeId);
		$this->t->set_var('clReceiptIssuingBranchId', $clReceiptIssuingBranchId);
		$this->t->set_var('clServCountryId', $clServCountryId);
		$this->t->set_var('clName', $name);
		$this->t->set_var('totPaid', $totPaid);
		$this->t->set_var('clBal', $clBal);
		$this->t->set_var('totDis', $totDis);
	}

}

?>
