<?php

/*
 * ******************************************************************************
 * File name: class.srclientprofile.php
 * Created on: 02/07/2008
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This file contains the class for srclientprofile module.

  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  23/07/2008	Anish Sharma	Started building the file.

 * ******************************************************************************
 *  Written By: Anish Sharma.
 *
 * ******************************************************************************
 */

class srclientprofile {

	var $sMode;
	var $t;
	var $home1;
	var $con;

	/**
	 * This function will act as constructor .
	 * @param	string tplPath template path.
	 * @param	string maintpl main tpl file name.
	 * @param	string outerCenter outer center tpl file name.
	 * @param	string innerCenter inner tpl file name.
	 * @param	string headtpl header tpl file name.
	 * @param	string lefttpl left tpl file name.
	 * @param	string righttpl right tpl file name.
	 * @param	string footertpl footer tpl file name.
	 * @author Anish Sharma
	 */
	

	//function srclientprofile($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
	    function __construct($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
		ini_set('max_execution_time', 300); //300 seconds = 5 minutes
		$this->home1 = new Home($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->con = $this->home1->con;
	}

	/**
	 * This function will main function used to asign tamplate
	 * variable and call other functions.
	 * @author Anish Sharma
	 */
	function create() {
		$this->t = &$this->home1->t;
		$this->parseBody();
		$this->home1->showInPage();
	}

	/**
	 * This function will parse the body after creating it
	 * @author Anish Sharma
	 */
	function parseBody() {
		global $_CONF, $siteUrl, $siteUrlAjax;
		$this->t->set_block("FORMPAGE", "list", "clientLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");

		if (isset($_POST['branch']) && $_POST['branch'] != '') {
			$usrId = $_POST['branch'];
			$this->searchClient($usrId);
			$whichID = $usrId;
		} else {
			$this->searchClient($_SESSION['session_userId']);
			$whichID = $_SESSION['session_userId'];
		}

		$this->t->set_var('ajaxSiteUrl', $siteUrlAjax);
		$this->t->set_var('branchId', $_SESSION['session_userId']);
		$this->t->set_var('whichID', $whichID);
		$this->t->set_var('menu', getMenuLinks($_SESSION['session_usertype']));
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function searchClient($usrId) {
		global $siteUrl;
		$condition = '';
		$where = '';
		$status = '';
		$order = '';
		$htmlAdminUp = '';
		$htmlAdminDn = '';

		$sqlUsr = "SELECT bUserTypeId AS id FROM " . TABLEBRANCH . " WHERE bId = " . $_SESSION['session_userId'];
		$resUsr = $this->con->execQry($sqlUsr);
		$rowUsr = $this->con->fetchObj($resUsr);
		if ($rowUsr->id != 2) {
			$htmlAdminUp = '<form name="branchSearch" id="branchSearch" method="post" action="srclientprofile.php">
					<table width="50%" border="0" cellspacing="1" cellpadding="1" align="right">
						<tr>
							<td align="right">
								<select name="branch" id="branch" class="form_field_text">
									<option value="">-Select branch-</option>';
			$htmlAdminDn .= '</select>&nbsp;<label id="errSr" style="display:none" class="highlightRed">please select a branch</label>
							</td>
						</tr>
					</table>
				</form>
				';
			$this->t->set_var('branch', branchListByLogin($_SESSION['session_userId'], $usrId, 1));
		} else {
			$htmlAdminUp = '';
			$htmlAdminDn = '';
		}

		$this->t->set_var('dispOnlyAdminUp', $htmlAdminUp);
		$this->t->set_var('dispOnlyAdminDn', $htmlAdminDn);

		$sqlUsr = "SELECT clId, clReceiptIssuingBranchId, clRetainerAggNo, clOldRetainerAggNo, clFirstName , clMiddleName,clEmail, clLastName , DATE_FORMAT(clCreateDate, '%d-%m-%Y') AS dated, clServTypeId, clCtTypeId, clServCountryId, clCaseStatus, bName, bSid, bCid, pdAdvisorId, MIN(pdBalance) AS pdBalance FROM " . TABLECLIENT . ',' . TABLEBRANCH . ',' . TABLEPAYDETAILS . " WHERE clReceiptIssuingBranchId = {$usrId} AND bId = {$usrId} AND clId = pdClId GROUP BY clEmail ORDER BY dated ASC";

		$resUsr = $this->con->execQry($sqlUsr);

		$this->t->set_var("result", '<label class="pinkbox" id="rowCnt">' . $this->con->rowCount($resUsr) . ' record(s) found</label>');

		if ($this->con->rowCount($resUsr)) {
			$i = 1;
			while ($rowObj = $this->con->fetchObj($resUsr)) {
				$stid = $rowObj->clServTypeId;
				$clSt = getServiceTypeName($stid);
				if ($clSt == 'Immigration') {
					$sType = 'IMMI';
					$color = '#FE6602';
				} else {
					$sType = 'SA';
					$color = '#00923F';
				}

				$cid = $rowObj->clServCountryId;
				$clServCountryId = getCountryName($cid);

				if ($rowObj->clRetainerAggNo == 0) {
					$linkRaNo = $rowObj->clOldRetainerAggNo;
					$raNo = $rowObj->clOldRetainerAggNo;
					$clType = 'Old';
				}  else {
				  $prefixRaCode = getPreCodeForRaNo($rowObj->clServTypeId,$usrId,$rowObj->clServCountryId).getMonYrForRa($rowObj->clRetainerAggNo,$rowObj->clReceiptIssuingBranchId,$rowObj->clEmail);
				  $raNo = $prefixRaCode.str_pad($rowObj->clRetainerAggNo, 4, "0", STR_PAD_LEFT);
				  $linkRaNo = $rowObj->clRetainerAggNo;
				  $clType = 'New';
				  } 

				if ($rowObj->pdAdvisorId != 0) {
					$regBy = getAdvisorName($rowObj->pdAdvisorId);
				} else {
					$regBy = '----------------';
				}
				$clStatus = getCaseStatusName($rowObj->clCaseStatus);
				$fName = $rowObj->clFirstName;
				$mName = ($rowObj->clMiddleName ? $rowObj->clMiddleName : '');
				$lName = $rowObj->clLastName;
				$clName = $fName . ' ' . $mName . ' ' . $lName;

				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "class=\"darkCell\"");
				} else {
					$this->t->set_var("classdisp", "class=\"lightcell\"");
				}

				$this->t->set_var('regBy', $regBy);
				$this->t->set_var('clStatus', $clStatus);
				$this->t->set_var('raNo', $raNo);
				$this->t->set_var('link', $linkRaNo);
				$this->t->set_var('bId', $rowObj->clReceiptIssuingBranchId);
				$this->t->set_var('ct', $rowObj->clCtTypeId);
				$this->t->set_var('st', $rowObj->clServTypeId);
				$this->t->set_var('sc', $rowObj->clServCountryId);
				$this->t->set_var('balanceAmt', $rowObj->pdBalance);
				$this->t->set_var('clType', $clType);
				$this->t->set_var('color', $color);
				$this->t->set_var('srvType', $sType);
				$this->t->set_var('srvCnt', $clServCountryId);
				$this->t->set_var('clId', $rowObj->clId);
				$this->t->set_var('name', html_entities(truncateStr($clName)));
				$this->t->set_var('b', $rowObj->bName);
				$this->t->set_var('bs', $rowObj->bSid);
				$this->t->set_var('bc', $rowObj->bCid);
				$this->t->set_var('dated', $rowObj->dated);
				$this->t->set_var('i', $i);
				$this->t->parse("clientLists", "list", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "no client registered with the branch");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("advisorLists", "");
		}
	}

}

?>
